header.header {
  padding-top: 50px;
  background: rgb(255,255,255);
  background: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(204,204,204,1) 100%);
  .header-wrapper{
    transition: all 0.5s;
    @media screen and (max-width: 1199px){
      background: #2d2a2b;
      padding: 50px 0;
    }
  }
  @media screen and (max-width: 1199px){
    background: #2d2a2b;
    padding: 0;
  }
  .header-main{
    background-repeat: no-repeat;
    z-index: 999;
    @media screen and (max-width: 1199px){
      background-image: none !important;
    }
    @media (min-width:1200px) and (max-width: 1439px){
      background-size: 100%;
    }
  }

  .logo{
    width: 200px;
    position: absolute;
    top: 23px;
    left: 34px;
    transition: all 0.3s;
    @media screen and (max-width: 1199px){
      top: -30px;
      left: 0;
    }
    @media (min-width:1200px) and (max-width: 1439px){
      top: 9px;
    }
    img{
      width: 100%;
      height: 100%;
      vertical-align: top;
    }
  }
  .open-menu-mobile{
    float: right;
    color: #fff;
    font-size: 38px;
  }
  .main-navigation{
    text-align: right;
    position: relative;
    .close-menu-mobile{
      position: absolute;
      right: 15px;
      top: 20px;
      z-index: 999;
      i{
        width: auto;
        height: auto;
        border: none;
        &::before{
          content: '';
          display: block;
          margin: auto;
          width: 17px;
          border-bottom: solid 2px #2e2e2e;
          transform: rotate(45deg);
        }
        &::after{
          content: '';
          display: block;
          margin: auto;
          width: 17px;
          border-bottom: solid 2px #2e2e2e;
          transform: rotate(-45deg);
          margin-top: -2px;
        }
      }
    }
    .mega-menu{
      display: inline-block;
      vertical-align: middle;
      text-align: left;
      padding: 40px 65px 80px;
      margin: 0;
      z-index: 900;
      list-style: none;
      transition: all 0.5s;
      li{
        display: inline-block;
        list-style: none;
        position: relative;
        a{
          display: block;
          font-size: 14px;
          font-weight: 400;
          color: $main-color2;
          text-transform: uppercase;
          padding:0 23px 0 20px;
          text-decoration: none;
          &:hover{
            color:$color-title;
            text-decoration: underline;
          }
        }
        &::after{
          content: '|';
          color: $main-color2;
          font-size: 14px;
          position: absolute;
          top: 50%;
          right: 0px;
          transform: translate(0,-50%);
          line-height: 3px;
          vertical-align: middle;
        }
        &:last-child{
          a{
            padding-right: 0;
          }
          &::after{
            display: none;
          }
        }
      }
    }
  }
  @media screen and (max-width: 1199px){
    .main-navigation {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #fff;
      z-index: 999999;
      overflow: auto;
      padding-top: 40px;
      transition: all 0.3s;
      visibility: hidden;
      opacity: 0;
      .mega-menu {
        display: block;
        li{
          display: block;
          text-align: center;
          padding: 0;
          border-top:1px solid #aaa;
          a{
            display: inline-block;
            padding: 10px;
            color: #000;
          }
          &::after{
            display: none;
          }
        }
      }
      &.open{
        opacity: 1;
        visibility: visible;
      }
    }
    &.adminbar{
      .main-navigation{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
  &.sticky{
    .header-wrapper{
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      z-index: 9999;
      background: #2d2a2b;
      .logo{
        margin: 0;
        img{
          width: 150px;
          height: auto;
        }
      }
      .main-navigation{
        .mega-menu{
          padding: 40px 65px 40px;
        }
      }
      @media screen and (max-width: 1199px){
        padding: 50px 0 20px;
      }
    }
    &.adminbar{
      .header-wrapper{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
}